summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRuben Undheim <ruben.undheim@gmail.com>2018-07-27 18:45:10 +0000
committerRuben Undheim <ruben.undheim@gmail.com>2018-07-27 18:45:32 +0000
commit3f6dadd9a0ca7f47e6f6a31392ed7a25b4727337 (patch)
tree591b2a34e527a9a6cbd6716213733b277a582399
parentf8d3320a15b1e155d6d1e5cb91315f9222114d92 (diff)
Test for import errors for yosys-smtbmc
-rw-r--r--debian/tests/control2
-rwxr-xr-xdebian/tests/smtbc12
2 files changed, 13 insertions, 1 deletions
diff --git a/debian/tests/control b/debian/tests/control
index 94262d9f..3459b297 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,2 +1,2 @@
-Tests: ice
+Tests: ice, smtbc
Depends: @
diff --git a/debian/tests/smtbc b/debian/tests/smtbc
new file mode 100755
index 00000000..fb07acd6
--- /dev/null
+++ b/debian/tests/smtbc
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# Just verify that there are no Python import errors when starting yosys-smtbmc
+
+yosys-smtbmc 2>&1 | grep --quiet ImportError
+RET=$?
+
+if [ "$RET" = "0" ]; then
+ exit 1
+else
+ exit 0
+fi